'use strict';

exports.__esModule = true;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _components = require('@annotation-studio/components');

var _viewer = require('./viewer');

var _viewer2 = _interopRequireDefault(_viewer);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var ViewerProvider = function (_PureComponent) {
  _inherits(ViewerProvider, _PureComponent);

  function ViewerProvider() {
    _classCallCheck(this, ViewerProvider);

    return _possibleConstructorReturn(this, _PureComponent.apply(this, arguments));
  }

  ViewerProvider.prototype.render = function render() {
    var _props = this.props,
        store = _props.store,
        props = _objectWithoutProperties(_props, ['store']);

    return _react2.default.createElement(
      _components.pluginKit.Provider,
      { store: store },
      _react2.default.createElement(_viewer2.default, props)
    );
  };

  return ViewerProvider;
}(_react.PureComponent);

exports.default = ViewerProvider;
module.exports = exports['default'];